Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 13, 14, 15 ... 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7206
Location: Austria

PostPosted: Sat Nov 07, 2009 12:49 pm    Post subject: Reply with quote

kde-l10n definitely fails, has nothing to do with xz-utils, some kind of Makefile issue. ;)
kalarm-4.3.74 also (still) broken.
Everything else compiled successfully.

kdm was fixed! :)

Looks like a sound release so far. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Sat Nov 07, 2009 4:11 pm    Post subject: libkworkspace-4.3.74 is broken? Reply with quote

hi & moin moin! :)

I will just upgrade from KDE 4.3.73 to 4.3.74 but the libkworkspace ist broken?
Code:

>>> Emerging (1 of 1) kde-base/libkworkspace-4.3.74 from kde
 * kdebase-workspace-4.3.74.tar.xz RMD160 SHA1 SHA256 size ;-) ...                                                                                                           [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                         [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                        [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                       [ ok ]
>>> Unpacking source...
 * Unpacking parts of kdebase-workspace-4.3.74.tar.xz to /var/tmp/portage/kde-base/libkworkspace-4.3.74/work ...
mv: Aufruf von stat für „kdebase-workspace-4.3.74/“ nicht möglich: Datei oder Verzeichnis nicht gefunden
 * ERROR: kde-base/libkworkspace-4.3.74 failed:
 *   Died while moving "kdebase-workspace-4.3.74/" to "libkworkspace-4.3.74"

Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Sat Nov 07, 2009 5:46 pm    Post subject: Reply with quote

Moin ;)
Guck mal hier:
[ebuild R ] kde-base/libkworkspace-4.3.74 USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]
:P

HDD full ? I've compiled my whole sys with fucked up flags and it worked (but it's funtoo, not gentoo):

CFLAGS="-march=core2 -O2 -pipe -fomit-frame-pointer \
-ftree-vectorize -mmmx -msse -msse2 -msse3 -mssse3 \
-finline-functions \
-fno-ident \
-ftree-loop-distribution -floop-block -floop-interchange -floop-strip-mine"

CXXFLAGS="${CFLAGS} -fvisibility-inlines-hidden"

LDFLAGS="-Wl,-O1 -Bdirect -Wl,--as-needed -Wl,--hash-style=both"
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Sat Nov 07, 2009 6:06 pm    Post subject: Reply with quote

benneque wrote:
Moin ;)
Guck mal hier:
[ebuild R ] kde-base/libkworkspace-4.3.74 USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]
:P

HDD full ? I've compiled my whole sys with fucked up flags and it worked (but it's funtoo, not gentoo):


No way!
Ich hab noch 6GB zur verfügung.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7206
Location: Austria

PostPosted: Sat Nov 07, 2009 6:19 pm    Post subject: Reply with quote

Really, we all admire Germany for Guido Westerwelle, but please don't adopt his attitude towards foreign languages here. :lol:

libkworkspace-4.3.74 built fine here, the error must be in your config somewhere. Try resyncing kde-testing, also check whether you have xz-utils installed.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Sat Nov 07, 2009 7:39 pm    Post subject: Reply with quote

genstorm wrote:
Really, we all admire Germany for Guido Westerwelle, but please don't adopt his attitude towards foreign languages here. :lol:

You mean Guido Westerwave? :twisted:
Quote:

libkworkspace-4.3.74 built fine here, the error must be in your config somewhere. Try resyncing kde-testing, also check whether you have xz-utils installed.

Okay, after an 'layman -S' and a new 'kde4-meta.eclass' the package compiled fine.

Thanx!
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Sun Nov 08, 2009 9:53 am    Post subject: Reply with quote

I've got a small question concerning knetworkmanager (or networkmanager in general) and vpnc:
i don't know if vpnc through knetworkmanager works at all, BUT: do i need networkmanager-vpnc installed for this to work?
if the answer is "yes" then: why is there no useflag for this not in networkmanager nor in knetworkmanager.

thanks ;)
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7206
Location: Austria

PostPosted: Sun Nov 08, 2009 10:39 am    Post subject: Reply with quote

genstorm wrote:
kde-l10n definitely fails, has nothing to do with xz-utils, some kind of Makefile issue. ;)

Solved with recent sync, but now building the handbook for kde-l10n is broken. ;)

snippets:
Code:
index.docbook:14: parser error : Entity 'karm' not defined
(this one repeating itself over many lines)
Code:
make[2]: *** [kde-l10n-de-4.3.74/docs/kdepim/ktimetracker/index.cache.bz2] Error 1 
make[1]: *** [kde-l10n-de-4.3.74/docs/kdepim/ktimetracker/CMakeFiles/ktimetracker-handbook.dir/all] Error 2



plasma-desktop still crashes in this release but not so often it seems.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Sun Nov 08, 2009 10:52 am    Post subject: Reply with quote

huh ? until now i had no crash in plasma-desktop. do you know WHEN i crashes ? (i recognized that dolphin crashes when i do things very fast, e.g. selecting 700 dirs with mouse or pressing 20 times als+left in a second ;) )

EDIT: And I'd like to see sth. in portage (or the overlay): USE flags for ark, for 7z and unrar ;)
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7206
Location: Austria

PostPosted: Sun Nov 08, 2009 11:05 am    Post subject: Reply with quote

I'm not sure right now where's the culprit.

- X.org components have been working fine before the upgrade to 4.3.72 except rare X hangups (which have been fixed by kernel 2.6.32)
- Current qt-copy 4.6.9999 doesn't seem too stable and breaks at least Amarok (still) with widgets accessing the internet
- 4.3.73 was almost unworkable with plasma-desktop being unstable as hell, I found myself manually restarting it frequently and not always with success (hanging itself up with some dbus error). This has definitely improved a lot since 4.3.74, additionally with kdm working again (libc runtime error when built with consolekit)

So the error will likely be found somewhere between qt-4.6 and kde:4.4. Maybe I should try out an all-new .kde4 directory for a start...
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Phlogiston
Veteran
Veteran


Joined: 27 Jan 2004
Posts: 1925
Location: Europe, Swizerland

PostPosted: Sun Nov 08, 2009 3:03 pm    Post subject: Reply with quote

Just for your interest: kde 4.3.9999 works perfectly fine here on a ~x86 system. (worked also great on x86 before) You might wana try it.
_________________
Workstation: 5.1 SurroundSound, LIRC remote control; Laptop [IBM-T43]: patched sources, s2disk/ram, fingerprint sensor
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7206
Location: Austria

PostPosted: Sun Nov 08, 2009 3:13 pm    Post subject: Reply with quote

Thanks for the suggestion and I'm sure it would work, but KDE 4.3.9999 is actually still branch 4.3, while 4.3.7x dev snapshot series is slot 4.4. Which is what I (we) want. ;)

Right now it's really all going well, kde (particularly plasma-desktop) has been stable for several hours and I haven't changed anything yet, except some updates with (perhaps noteworthy) dbus-glib among them and kde-l10n "-handbook" to make it build for the time being. Either those updates fixed it or that one pasma-desktop crash since emerging 4.3.74 really was an exception. I'm happy now. :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7206
Location: Austria

PostPosted: Mon Nov 09, 2009 8:26 pm    Post subject: Reply with quote

These errors in dmesg:
Code:
[13673.757827] drkonqi[20821]: segfault at 0 ip 00007fa22b3b292e sp 00007fff3ee02ec0 error 4 in libkdecore.so.5.4.0[7fa22b30c000+28a000]                                                                                                     
[13812.568036] drkonqi[20928]: segfault at 0 ip 00007f779c91b92e sp 00007fffb2690780 error 4 in libkdecore.so.5.4.0[7f779c875000+28a000]                                                                                                     
[13820.137050] drkonqi[20974]: segfault at 0 ip 00007f6c22a3392e sp 00007fff27305180 error 4 in libkdecore.so.5.4.0[7f6c2298d000+28a000]                                                                                                     
[13829.596116] drkonqi[21024]: segfault at 0 ip 00007f1f55ccd92e sp 00007fff599e5e30 error 4 in libkdecore.so.5.4.0[7f1f55c27000+28a000]

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Zoboulo
Tux's lil' helper
Tux's lil' helper


Joined: 07 Apr 2007
Posts: 97

PostPosted: Fri Nov 13, 2009 11:07 am    Post subject: Reply with quote

gaelic wrote:
is there a possibility to deactivate wpd and wpg in koffice2? USE="-wpg -wpd" doesn't help.
I'm asking because lots of gnome packages are pulled in by libwpg/libwpd


Hi,
koffice-2.0.91 still depends on wv2 and libwpd even if wv2 and wpd USE flags are disabled. Is it normal ?
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Sun Nov 15, 2009 7:53 pm    Post subject: Reply with quote

4.3.75 builds/works fine ;)
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7206
Location: Austria

PostPosted: Sun Nov 15, 2009 9:28 pm    Post subject: Reply with quote

Yes. Except kalarm, as always. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Mon Nov 16, 2009 10:20 am    Post subject: Reply with quote

I get at startup lots of nepomuk errors. :(
Back to top
View user's profile Send private message
Cleus
Apprentice
Apprentice


Joined: 21 Aug 2004
Posts: 157

PostPosted: Mon Nov 16, 2009 3:02 pm    Post subject: Compile kdelibs-live (4.3.75) Reply with quote

Kdelibs not compile
Code:

In file included from /tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdewebkit/kgraphicswebview.cpp:29:                                                                               
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdewebkit/kwebviewprivate_p.h: In member function ‘bool KWebViewPrivate<T>::isExternalContentAllowed() [with T = KGraphicsWebView]’:   
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdewebkit/kgraphicswebview.cpp:60:   instantiated from here                                                                             
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdewebkit/kwebviewprivate_p.h:52: ошибка: ‘class KGraphicsWebView’ has no member named ‘page’                                           
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdewebkit/kwebviewprivate_p.h: In member function ‘void KWebViewPrivate<T>::setAllowExternalContent(bool) [with T = KGraphicsWebView]’:
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdewebkit/kgraphicswebview.cpp:65:   instantiated from here                                                                             
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdewebkit/kwebviewprivate_p.h:62: error: ‘class KGraphicsWebView’ has no member named ‘page’                                           
make[2]: *** [kdewebkit/CMakeFiles/kdewebkit.dir/kgraphicswebview.o] Error 1                                                                                                               
make[1]: *** [kdewebkit/CMakeFiles/kdewebkit.dir/all] Error 2 


And final:
Code:

[ 80%] Building CXX object plasma/CMakeFiles/plasma.dir/widgets/videowidget.o                                                                                                               
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/plasma/widgets/videowidget.cpp: In member function ‘void Plasma::VideoWidgetPrivate::animateControlWidget(bool)’:                       
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/plasma/widgets/videowidget.cpp:195: предупреждение: ‘static Plasma::Animator* Plasma::Animator::self()’ is deprecated (declared at /tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/plasma/animator.h:88)                                                                                                                       
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/plasma/widgets/videowidget.cpp:197: предупреждение: ‘int Plasma::Animator::moveItem(QGraphicsItem*, Plasma::Animator::Movement, const QPoint&)’ is deprecated (declared at /tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/plasma/animator.h:124)                                                                               
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/plasma/widgets/videowidget.cpp: In constructor ‘Plasma::VideoWidget::VideoWidget(QGraphicsWidget*)’:                                   
/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/plasma/widgets/videowidget.cpp:255: предупреждение: ‘static Plasma::Animator* Plasma::Animator::self()’ is deprecated (declared at /tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/plasma/animator.h:88)                                                                                                                       
Linking CXX shared library ../lib/libplasma.so                                                                                                                                               
[ 80%] Built target plasma                                                                                                                                                                   
make: *** [all]  Error 2
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Tue Nov 17, 2009 2:49 pm    Post subject: Reply with quote

amarok 2.2.1 is there! (but not in portage yet?!)
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7206
Location: Austria

PostPosted: Tue Nov 17, 2009 3:04 pm    Post subject: Reply with quote

Look closer, it's just hardmasked.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
rem5
n00b
n00b


Joined: 12 Oct 2005
Posts: 73
Location: Lille - France

PostPosted: Wed Nov 18, 2009 12:02 am    Post subject: Reply with quote

hi, any idea why in 4.3.74 and 75 (maybe before..as not tested..) plasma-desktop doesn't load itself (or crash ??) at start ? I can load it with success
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7206
Location: Austria

PostPosted: Wed Nov 18, 2009 12:11 am    Post subject: Reply with quote

plasma-desktop enjoys its occasional crash. I almost got rid of that behaviour by disabling most widgets (I haven't looked into the specific cause though).
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
heirecka
n00b
n00b


Joined: 23 Oct 2007
Posts: 13

PostPosted: Wed Nov 18, 2009 10:26 am    Post subject: Reply with quote

kdelibs-4.3.75 fails to compile with qt-4.6.0_rc1 whereas it has built fine with qt-4.6.9999 stable-branch before.

Code:
[ 46%] Building CXX object kio/CMakeFiles/kio.dir/kio/kdirlister.o                                             
Linking CXX executable speedtest                                                                               
[ 46%] Generating queryinterface.cpp, queryinterface.h                                                         
[ 46%] Generating nie.h, nie.cpp                                                                               
[ 46%] Built target speedtest                                                                                   
[ 46%] Generating queryserviceinterface.cpp, queryserviceinterface.h                                           
Failed to create memory model. No Soprano backend installed?                                                   
make[2]: *** [nepomuk/query/nie.h] Error 1                                                                     
make[2]: *** Waiting for unfinished jobs....                                                                   
Scanning dependencies of target resourcetest                                                                   
[ 46%] make[1]: *** [nepomuk/query/CMakeFiles/nepomukquery.dir/all] Error 2                                     
make[1]: *** Waiting for unfinished jobs....
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4410

PostPosted: Wed Nov 18, 2009 12:04 pm    Post subject: Reply with quote

heirecka wrote:
kdelibs-4.3.75 fails to compile with qt-4.6.0_rc1 whereas it has built fine with qt-4.6.9999 stable-branch before.

Code:
[ 46%] Building CXX object kio/CMakeFiles/kio.dir/kio/kdirlister.o                                             
Linking CXX executable speedtest                                                                               
[ 46%] Generating queryinterface.cpp, queryinterface.h                                                         
[ 46%] Generating nie.h, nie.cpp                                                                               
[ 46%] Built target speedtest                                                                                   
[ 46%] Generating queryserviceinterface.cpp, queryserviceinterface.h                                           
Failed to create memory model. No Soprano backend installed?                                                   
make[2]: *** [nepomuk/query/nie.h] Error 1                                                                     
make[2]: *** Waiting for unfinished jobs....                                                                   
Scanning dependencies of target resourcetest                                                                   
[ 46%] make[1]: *** [nepomuk/query/CMakeFiles/nepomukquery.dir/all] Error 2                                     
make[1]: *** Waiting for unfinished jobs....

rebuild soprano.
There was a Binary Compatibility Break from beta->rc1. Everything depending on Qt4 needs a rebuild...
Probably you also want to rebuild app-office/akonadi-server.
Back to top
View user's profile Send private message
heirecka
n00b
n00b


Joined: 23 Oct 2007
Posts: 13

PostPosted: Wed Nov 18, 2009 12:48 pm    Post subject: Reply with quote

Thank you for your reply, but i was aware of the compatibility break and did rebuild soprano and akonadi-server. In fact i even executed 'paludis -i --dl-reinstall always kdelibs'.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 13, 14, 15 ... 36, 37, 38  Next
Page 14 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum